'use strict';

exports.__esModule = true;
exports.onFirstChange = undefined;

var _utils = require('../utils');

/**
 * @desc According to this strategy Layer won't emit any results
 *       until user types something in in a field.
 *       After first results are emitted-feedback is provided on every change.
 *
 */
var onFirstChange = exports.onFirstChange = function onFirstChange(field, value, data, event, stateContainer) {
  stateContainer.setEmittedField(field.id);
  return (0, _utils.buildCompleteSyncValidationResults)(field, value, data, stateContainer.getPropsLevelStatuses(), stateContainer.getLayerId());
};