'use strict';

exports.__esModule = true;


var Strategy = Object.freeze({
  DEFAULT: 'onFirstSuccessOrFirstBlur',

  ON_MOUNT: 'onMount',
  ON_FIRST_CHANGE: 'onFirstChange',
  ON_FIRST_BLUR: 'onFirstBlur',
  ON_FIRST_SUCCESS: 'onFirstSuccess',
  ON_FIRST_SUCCESS_OR_FIRST_BLUR: 'onFirstSuccessOrFirstBlur',
  ON_FIRST_SUBMIT: 'onFirstSubmit'
});
/* eslint-disable key-spacing */

exports.default = Strategy;