'use strict';

exports.__esModule = true;

var _strategies;
/* eslint-disable key-spacing */

var _Strategy = require('../../../enums/Strategy');

var _Strategy2 = _interopRequireDefault(_Strategy);

var _onMount = require('./onMount');

var _onFirstChange = require('./onFirstChange');

var _onFirstBlur = require('./onFirstBlur');

var _onFirstSuccess = require('./onFirstSuccess');

var _onFirstSuccessOrFirstBlur = require('./onFirstSuccessOrFirstBlur');

var _onFirstSubmit = require('./onFirstSubmit');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var strategies = (_strategies = {}, _strategies[_Strategy2.default.ON_MOUNT] = _onMount.onMount, _strategies[_Strategy2.default.ON_FIRST_CHANGE] = _onFirstChange.onFirstChange, _strategies[_Strategy2.default.ON_FIRST_BLUR] = _onFirstBlur.onFirstBlur, _strategies[_Strategy2.default.ON_FIRST_SUCCESS] = _onFirstSuccess.onFirstSuccess, _strategies[_Strategy2.default.ON_FIRST_SUCCESS_OR_FIRST_BLUR] = _onFirstSuccessOrFirstBlur.onFirstSuccessOrFirstBlur, _strategies[_Strategy2.default.ON_FIRST_SUBMIT] = _onFirstSubmit.onFirstSubmit, _strategies);

exports.default = strategies;