'use strict';

exports.__esModule = true;
exports.onMount = undefined;

var _utils = require('../utils');

/**
 * @desc On mount field validation.
 *       Results will be emitted on mount -> on every change.
 *
 */
var onMount = exports.onMount = function onMount(field, value, data, event, stateContainer) {
  return (0, _utils.buildCompleteSyncValidationResults)(field, value, data, stateContainer.getPropsLevelStatuses(), stateContainer.getLayerId());
};